#ifndef DMATH_H_GUARD
#define DMATH_H_GUARD

int makeCircular(double read);
int clip(float num, int min, int max);

typedef struct Point {
	double x;
	double y;
} Point;

float distanceBetween(float x1, float y1, float x2, float y2);
float distanceBetweenPoints(Point* a, Point* b);
float angleOf(float x, float y);
float cleverAngleOf(float x, float y);
Point rotatePoint(Point* p, float angle);
int territory(Point* p);
int wallAngle(Point* me);
#endif