#include "dmath.h"
#include "sensing.h"
#ifndef LOCOM_H_GUARD
#define LOCOM_H_GUARD

void set_left(int vel);
void set_right(int vel);
void setPair(int left, int right);

bool proportionalTurnTo(float target, float tol, float gain, float timeout);
bool proportionalTurnBy(float amount, float tol, float gain, float timeout);
bool alignWith(Point* p, float gain, float tol, float timeout);

bool radianDrive(Point* p, float tol, float g1, float g2, float timeout);
void persistentDrive(Point* p, float tol);
#endif